Update a specific dashboard by id
curl --request PUT \
--url https://api.rootly.com/v1/dashboards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "dashboards",
"attributes": {
"name": "<string>",
"description": "<string>",
"owner": "user",
"public": true,
"range": "<string>",
"auto_refresh": true,
"color": "#FCF2CF",
"icon": "<string>",
"period": "day"
}
}
}
'{
"data": {
"id": "<string>",
"type": "dashboards",
"attributes": {
"name": "<string>",
"owner": "user",
"public": true,
"team_id": 123,
"user_id": 123,
"description": "<string>",
"range": "<string>",
"period": "<string>",
"auto_refresh": true,
"color": "#FCF2CF",
"icon": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Resource UUID
Show child attributes
dashboard updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/dashboards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "dashboards",
"attributes": {
"name": "<string>",
"description": "<string>",
"owner": "user",
"public": true,
"range": "<string>",
"auto_refresh": true,
"color": "#FCF2CF",
"icon": "<string>",
"period": "day"
}
}
}
'{
"data": {
"id": "<string>",
"type": "dashboards",
"attributes": {
"name": "<string>",
"owner": "user",
"public": true,
"team_id": 123,
"user_id": 123,
"description": "<string>",
"range": "<string>",
"period": "<string>",
"auto_refresh": true,
"color": "#FCF2CF",
"icon": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}
}